<p align="center">
   <img src="https://raw.githubusercontent.com/hellzerg/optimizer/master/banner.png">
</p>

<p align="center">
	<a href="https://github.com/hellzerg/optimizer/releases/download/15.6/Optimizer-15.6.exe" target="_blank">
		<img src="https://raw.githubusercontent.com/hellzerg/optimizer/master/download-button.png">
		<br>
		<img src="https://raw.githubusercontent.com/hellzerg/optimizer/master/flags.png">
	</a>
</p>

# ℹ️ Optimizer: Advanced Privacy and Security Configuration Utility

Welcome to Optimizer, an advanced configuration utility designed to enhance your privacy and security on Windows. This tool is highly recommended for use after a fresh installation of Windows to achieve maximum privacy and security benefits. Depending on your Windows version, Optimizer can also help you apply specific system tweaks.

## 🏗️ Key Features:

- Full multilingual support (22 languages available)
- Enhance system and network performance
- Disable unnecessary Windows services
- Turn off Windows telemetry, Cortana, and more
- Disable Office telemetry (works with Office 2016)
- Stop automatic Windows 10 updates
- Download multiple useful apps quickly
- Uninstall UWP apps
- Clean system drive and browser profiles
- Fix common registry issues
- Ping IPs and assess latency
- Search IPs on SHODAN.io
- Quickly change DNS server (from a pre-made list)
- Flush DNS cache
- Remove unwanted startup programs
- Edit your HOSTS file
- Identify and terminate file lock handles
- Hardware inspection tool
- Add items to the desktop right-click menu
- Define custom commands for the run dialog
- Support silent runs using a configuration file

## ⬇️ Downloads

Find the latest release of Optimizer on the [Releases](https://github.com/hellzerg/optimizer/releases) page.

## 🖼️ Screenshots

View Optimizer in action through our [Screenshots](https://github.com/hellzerg/optimizer/blob/master/IMAGES.md) collection.

## 🆘 How to Disable Defender in Windows 10 1903 and Later

- Restart in SAFE-MODE and run Optimizer with `/disabledefender` switch
- OR -
- Execute Optimizer with `/restart=disabledefender` switch for automated disabling

## 🔨 Automation using Templating

Explore the possibilities of automation with Optimizer through our [Automation Guide](https://github.com/hellzerg/optimizer/blob/master/AUTOMATION.md).

## 🔨 Command-line Options

Check out the [Command-line Options](https://github.com/hellzerg/optimizer/blob/master/CONFS.md) available for Optimizer.

## ❓ Frequently Asked Questions

Find answers to common queries in the [FAQ Section](https://github.com/hellzerg/optimizer/blob/master/FAQ.md).

## 📰 Changelog

Stay updated with the latest changes through the [Changelog](https://github.com/hellzerg/optimizer/blob/master/CHANGELOG.md).

## 🛡️ Security Policy

Learn about our security measures in the [Security Policy](https://github.com/hellzerg/optimizer/blob/master/SECURITY.md).

## 💻 Compatibility

- Requires .NET Framework 4.8.1
- Compatible with Windows 7, 8, 8.1, 10, 11
- Can run on Windows Server 2008, 2012, 2016, 2019, 2022 using `/unsafe` switch

## 📊 Details

- Latest version: 15.6 (Released: July 22, 2023)
- SHA256: 147FF45704BF458F93E2132AC0EE648AA89DFE44FCDC73C6C880153A948E360A

## ☕ Support the Developer

If you find this tool useful, consider showing your support by [donating through PayPal](https://www.paypal.com/paypalme/supportoptimizer).

## 🌐 Join our Community

Be a part of our [Discord](https://discord.gg/rZh8BhmmQv) community.

## ❤️ Credits and Acknowledgments

- [ByteSize](https://github.com/omar/ByteSize) - A useful library by Omar Rahman
- ColorPicker - Theme engine courtesy of cat ([GitHub Profile](https://github.com/vadiscode))

## ❤️ Translations

We'd like to extend our gratitude to the following contributors for their translations:

- Russian: mrkaban
- German: theflamehd
- Turkish: Kheasyque
- Spanish: danielcshn
- Portuguese: Cassio
- French: RAFF47
- Italian: Ziocash
- Chinese: btwise
- Czech: Tom Longhorn
- Taiwanese: H3XDaemon
- Korean: VenusGirl
- Polish: Wilamaxin
- Arabic: MesterPerfect
- Romanian: BeamingNG, DefaultUser9148
- Dutch: svanlaere
- Ukrainian: Kirill Ermakov
- Japanese: Yamada Hayao, creeper-0910 (Japanese correction)
- Kurdish: Parwar Andam
- Hungarian: Zan
- Farsi: MjavadH
